Bug 1312 - Smbclient -L print strange results
Smbclient -L print strange results
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.3
All Linux
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 22:16 UTC by sebest
Modified: 2005-09-29 04:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sebest 2004-05-02 22:16:03 UTC
Hello
when i try to list the share of windows box smbclient print thing like this:
sebest@p3 source $ smbclient  -L \\mercure
Password:
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

    Sharename      Type      Comment
    ---------      ----      -------
    E$             Disk      Partage par d      HPDeskJ        Printer   Hp
    IPC$           IPC       IPC distant
    print$         Disk      Pilotes d'imprimantes
    I$             Disk      Partage par d      share          Disk
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]
    ADMIN$         Disk      Administration     C$             Disk      Partage
par d
    Server               Comment
    ---------            -------

    Workgroup            Master
    ---------            -------
sebest@p3 source $


----------------------------------------------------------------------------
here is there same thing with debug level 10:

sebest@p3 source $ smbclient  -L \\mercure
Password:
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

    Sharename      Type      Comment
    ---------      ----      -------
    E$             Disk      Partage par d      HPDeskJ        Printer   Hp
    IPC$           IPC       IPC distant
    print$         Disk      Pilotes d'imprimantes
    I$             Disk      Partage par d      share          Disk
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]
    ADMIN$         Disk      Administration     C$             Disk      Partage
par d
    Server               Comment
    ---------            -------

    Workgroup            Master
    ---------            -------
sebest@p3 source $

--------------------
it's on a french windows xp, i think it's important because it seems to have
problem with the character "é" of the world "défaut"
In the sentence "partage par défaut" it only prints "partage par d"
the linux is a gentoo with the standart samba 3.0.2a

my smb.conf:
[global]
domain master = no
preferred master = yes
max protocol = NT
dns proxy = no
security = share
workgroup = OVIBES

[export]
force user = guest
force group = nobody
guest ok = yes
path = /export/
read only = no
hosts allow = 172.16.200.0/24
Comment 1 sebest 2004-05-02 22:18:11 UTC
here is the debug level 10 of the previous command:
INFO: Current debug levels:
  all: True/10
  tdb: False/0
  printdrivers: False/0
  lanman: False/0
  smb: False/0
  rpc_parse: False/0
  rpc_srv: False/0
  rpc_cli: False/0
  passdb: False/0
  sam: False/0
  auth: False/0
  winbind: False/0
  vfs: False/0
  idmap: False/0
  quota: False/0
lp_load: refreshing parameters
Initialising global parameters
params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
Processing section "[global]"
doing parameter domain master = no
doing parameter preferred master = yes
doing parameter max protocol = NT
doing parameter dns proxy = no
doing parameter security = share
doing parameter workgroup = OVIBES
doing parameter unix charset = UTF8
Attempting to register new charset UCS-2LE
Registered charset UCS-2LE
Attempting to register new charset UTF8
Registered charset UTF8
Attempting to register new charset ASCII
Registered charset ASCII
Attempting to register new charset 646
Registered charset 646
Attempting to register new charset ISO-8859-1
Registered charset ISO-8859-1
Attempting to register new charset UCS2-HEX
Registered charset UCS2-HEX
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
pm_process() returned Yes
lp_servicenumber: couldn't find homes
set_server_role: role = ROLE_STANDALONE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
Substituting charset 'ANSI_X3.4-1968' for LOCALE
added interface ip=172.16.200.100 bcast=172.16.200.255 nmask=255.255.255.0
Netbios name list:-
my_netbios_names[0]="P3"
Client started (version 3.0.2a).
internal_resolve_name: looking up mercure#20
Opening cache file at /var/cache/samba/gencache.tdb
tdb(unnamed): tdb_open_ex: could not open file /var/cache/samba/gencache.tdb:
Permission denied
Attempt to open gencache.tdb has failed.
resolve_lmhosts: Attempting lmhosts lookup for name mercure<0x20>
getlmhostsent: lmhost entry: 127.0.0.1 localhost 
resolve_wins: Attempting wins lookup for name mercure<0x20>
resolve_wins: WINS server resolution selected and no WINS servers listed.
resolve_hosts: Attempting host lookup for name mercure<0x20>
name_resolve_bcast: Attempting broadcast lookup for name mercure<0x20>
bind succeeded on port 0
socket option SO_KEEPALIVE = 0
socket option SO_REUSEADDR = 1
socket option SO_BROADCAST = 1
Could not test socket option TCP_NODELAY.
socket option IPTOS_LOWDELAY = 0
socket option IPTOS_THROUGHPUT = 0
socket option SO_SNDBUF = 105472
socket option SO_RCVBUF = 105472
socket option SO_SNDLOWAT = 1
socket option SO_RCVLOWAT = 1
socket option SO_SNDTIMEO = 0
socket option SO_RCVTIMEO = 0
Sending a packet of len 50 to (172.16.200.255) on port 137
read_udp_socket: lastip 172.16.200.101 lastport 137 read: 74
parse_nmb: packet id = 21353
Received a packet of len 74 from (172.16.200.101) port 137
nmb packet from 172.16.200.101(137) header: id=21353 opcode=Query(0) response=Yes
    header: flags: bcast=No rec_avail=No rec_des=Yes trunc=No auth=Yes
    header: rcode=0 qdcount=0 ancount=1 nscount=0 arcount=0
    answers: nmb_name=MERCURE<20> rr_type=32 rr_class=1 ttl=300000
    answers   0 char ..........(.....   hex 0000C0A8DA010000C0A828010000AC10
    answers  10 char .e   hex C865
Got a positive name query response from 172.16.200.101 ( 192.168.218.1
192.168.40.1 172.16.200.101 )
remove_duplicate_addrs2: looking for duplicate address/port pairs
Opening cache file at /var/cache/samba/gencache.tdb
tdb(unnamed): tdb_open_ex: could not open file /var/cache/samba/gencache.tdb:
Permission denied
Attempt to open gencache.tdb has failed.
internal_resolve_name: returning 3 addresses: 172.16.200.101:0 192.168.218.1:0
192.168.40.1:0 
Connecting to 172.16.200.101 at port 445
socket option SO_KEEPALIVE = 0
socket option SO_REUSEADDR = 0
socket option SO_BROADCAST = 0
socket option TCP_NODELAY = 1
socket option IPTOS_LOWDELAY = 0
socket option IPTOS_THROUGHPUT = 0
socket option SO_SNDBUF = 16384
socket option SO_RCVBUF = 87380
socket option SO_SNDLOWAT = 1
socket option SO_RCVLOWAT = 1
socket option SO_SNDTIMEO = 0
socket option SO_RCVTIMEO = 0
 session request ok
write_socket(3,183)
write_socket(3,183) wrote 183
got smb length of 85
size=85
smb_com=0x72
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=0
smb_mid=1
smt_wct=17
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]= 2563 (0xA03)
smb_vwv[ 2]=  256 (0x100)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=   17 (0x11)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  256 (0x100)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=64768 (0xFD00)
smb_vwv[10]=  227 (0xE3)
smb_vwv[11]=34944 (0x8880)
smb_vwv[12]= 3649 (0xE41)
smb_vwv[13]=38060 (0x94AC)
smb_vwv[14]=50224 (0xC430)
smb_vwv[15]=34817 (0x8801)
smb_vwv[16]=  255 (0xFF)
smb_bcc=16
[000] B1 E1 75 F1 21 16 60 48  B3 5F F0 07 0D FF 3D BF  ..u.!.`H ._....=.
size=85
smb_com=0x72
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=0
smb_mid=1
smt_wct=17
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]= 2563 (0xA03)
smb_vwv[ 2]=  256 (0x100)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=   17 (0x11)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  256 (0x100)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=64768 (0xFD00)
smb_vwv[10]=  227 (0xE3)
smb_vwv[11]=34944 (0x8880)
smb_vwv[12]= 3649 (0xE41)
smb_vwv[13]=38060 (0x94AC)
smb_vwv[14]=50224 (0xC430)
smb_vwv[15]=34817 (0x8801)
smb_vwv[16]=  255 (0xFF)
smb_bcc=16
[000] B1 E1 75 F1 21 16 60 48  B3 5F F0 07 0D FF 3D BF  ..u.!.`H ._....=.
Serverzone is -7200
Doing spnego session setup (blob length=16)
server didn't supply a full spnego negprot
write_socket(3,160)
write_socket(3,160) wrote 160
got smb length of 294
size=294
smb_com=0x73
smb_rcls=22
smb_reh=0
smb_err=49152
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=2
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  294 (0x126)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=  177 (0xB1)
smb_bcc=251
[000] A1 81 AE 30 81 AB A0 03  0A 01 01 A1 0C 06 0A 2B  ...0.... .......+
[010] 06 01 04 01 82 37 02 02  0A A2 81 95 04 81 92 4E  .....7.. .......N
[020] 54 4C 4D 53 53 50 00 02  00 00 00 0E 00 0E 00 30  TLMSSP.. .......0
[030] 00 00 00 15 02 8A 60 DC  9D 51 FC 5A C5 1E A4 00  ......`. .Q.Z....
[040] 00 00 00 00 00 00 00 54  00 54 00 3E 00 00 00 4D  .......T .T.>...M
[050] 00 45 00 52 00 43 00 55  00 52 00 45 00 02 00 0E  .E.R.C.U .R.E....
[060] 00 4D 00 45 00 52 00 43  00 55 00 52 00 45 00 01  .M.E.R.C .U.R.E..
[070] 00 0E 00 4D 00 45 00 52  00 43 00 55 00 52 00 45  ...M.E.R .C.U.R.E
[080] 00 04 00 0E 00 6D 00 65  00 72 00 63 00 75 00 72  .....m.e .r.c.u.r
[090] 00 65 00 03 00 0E 00 6D  00 65 00 72 00 63 00 75  .e.....m .e.r.c.u
[0A0] 00 72 00 65 00 06 00 04  00 01 00 00 00 00 00 00  .r.e.... ........
[0B0] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[0C0] 00 35 00 2E 00 31 00 00  00 57 00 69 00 6E 00 64  .5...1.. .W.i.n.d
[0D0] 00 6F 00 77 00 73 00 20  00 32 00 30 00 30 00 30  .o.w.s.  .2.0.0.0
[0E0] 00 20 00 4C 00 41 00 4E  00 20 00 4D 00 61 00 6E  . .L.A.N . .M.a.n
[0F0] 00 61 00 67 00 65 00 72  00 00 00                 .a.g.e.r ...
size=294
smb_com=0x73
smb_rcls=22
smb_reh=0
smb_err=49152
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=2
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  294 (0x126)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=  177 (0xB1)
smb_bcc=251
[000] A1 81 AE 30 81 AB A0 03  0A 01 01 A1 0C 06 0A 2B  ...0.... .......+
[010] 06 01 04 01 82 37 02 02  0A A2 81 95 04 81 92 4E  .....7.. .......N
[020] 54 4C 4D 53 53 50 00 02  00 00 00 0E 00 0E 00 30  TLMSSP.. .......0
[030] 00 00 00 15 02 8A 60 DC  9D 51 FC 5A C5 1E A4 00  ......`. .Q.Z....
[040] 00 00 00 00 00 00 00 54  00 54 00 3E 00 00 00 4D  .......T .T.>...M
[050] 00 45 00 52 00 43 00 55  00 52 00 45 00 02 00 0E  .E.R.C.U .R.E....
[060] 00 4D 00 45 00 52 00 43  00 55 00 52 00 45 00 01  .M.E.R.C .U.R.E..
[070] 00 0E 00 4D 00 45 00 52  00 43 00 55 00 52 00 45  ...M.E.R .C.U.R.E
[080] 00 04 00 0E 00 6D 00 65  00 72 00 63 00 75 00 72  .....m.e .r.c.u.r
[090] 00 65 00 03 00 0E 00 6D  00 65 00 72 00 63 00 75  .e.....m .e.r.c.u
[0A0] 00 72 00 65 00 06 00 04  00 01 00 00 00 00 00 00  .r.e.... ........
[0B0] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[0C0] 00 35 00 2E 00 31 00 00  00 57 00 69 00 6E 00 64  .5...1.. .W.i.n.d
[0D0] 00 6F 00 77 00 73 00 20  00 32 00 30 00 30 00 30  .o.w.s.  .2.0.0.0
[0E0] 00 20 00 4C 00 41 00 4E  00 20 00 4D 00 61 00 6E  . .L.A.N . .M.a.n
[0F0] 00 61 00 67 00 65 00 72  00 00 00                 .a.g.e.r ...
Got challenge flags:
Got NTLMSSP neg_flags=0x608a0215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_CHAL_TARGET_INFO
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60080215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP challenge set by NTLM2
challenge is: 
[000] A9 8E FB F0 3B 38 E4 F2                           ....;8.. 
NTLMSSP Sign/Seal - Initialising with flags:
Got NTLMSSP neg_flags=0x60080215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
write_socket(3,254)
write_socket(3,254) wrote 254
got smb length of 126
size=126
smb_com=0x73
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=3
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  126 (0x7E)
smb_vwv[ 2]=    1 (0x1)
smb_vwv[ 3]=    9 (0x9)
smb_bcc=83
[000] A1 07 30 05 A0 03 0A 01  00 57 00 69 00 6E 00 64  ..0..... .W.i.n.d
[010] 00 6F 00 77 00 73 00 20  00 35 00 2E 00 31 00 00  .o.w.s.  .5...1..
[020] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[030] 00 32 00 30 00 30 00 30  00 20 00 4C 00 41 00 4E  .2.0.0.0 . .L.A.N
[040] 00 20 00 4D 00 61 00 6E  00 61 00 67 00 65 00 72  . .M.a.n .a.g.e.r
[050] 00 00 00                                          ... 
size=126
smb_com=0x73
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=3
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  126 (0x7E)
smb_vwv[ 2]=    1 (0x1)
smb_vwv[ 3]=    9 (0x9)
smb_bcc=83
[000] A1 07 30 05 A0 03 0A 01  00 57 00 69 00 6E 00 64  ..0..... .W.i.n.d
[010] 00 6F 00 77 00 73 00 20  00 35 00 2E 00 31 00 00  .o.w.s.  .5...1..
[020] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[030] 00 32 00 30 00 30 00 30  00 20 00 4C 00 41 00 4E  .2.0.0.0 . .L.A.N
[040] 00 20 00 4D 00 61 00 6E  00 61 00 67 00 65 00 72  . .M.a.n .a.g.e.r
[050] 00 00 00                                          ... 
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]
 session setup ok
write_socket(3,84)
write_socket(3,84) wrote 84
got smb length of 48
size=48
smb_com=0x75
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=4
smt_wct=3
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=   48 (0x30)
smb_vwv[ 2]=    1 (0x1)
smb_bcc=7
[000] 49 50 43 00 00 00 00                              IPC.... 
 tconx ok
size=109
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=5
smt_wct=14
smb_vwv[ 0]=   19 (0x13)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]= 1024 (0x400)
smb_vwv[ 3]=65504 (0xFFE0)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=   19 (0x13)
smb_vwv[10]=   90 (0x5A)
smb_vwv[11]=    0 (0x0)
smb_vwv[12]=  109 (0x6D)
smb_vwv[13]=    0 (0x0)
smb_bcc=46
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 4C 00 41  .\.P.I.P .E.\.L.A
[010] 00 4E 00 4D 00 41 00 4E  00 00 00 00 00 57 72 4C  .N.M.A.N .....WrL
[020] 65 68 00 42 31 33 42 57  7A 00 01 00 E0 FF        eh.B13BW z.....
write_socket(3,113)
write_socket(3,113) wrote 113
got smb length of 345
size=345
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=5
smt_wct=10
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]=  281 (0x119)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    8 (0x8)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  281 (0x119)
smb_vwv[ 7]=   64 (0x40)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=290
[000] 00 00 00 C7 FE 08 00 08  00 45 24 00 00 00 00 00  ........ .E$.....
[010] 00 00 00 00 00 00 00 00  00 CD FF 00 00 48 50 44  ........ .....HPD
[020] 65 73 6B 4A 00 00 00 00  00 00 00 01 00 CA FF 00  eskJ.... ........
[030] 00 49 50 43 24 00 00 00  00 00 00 00 00 00 00 03  .IPC$... ........
[040] 00 BE FF 00 00 70 72 69  6E 74 24 00 00 00 00 00  .....pri nt$.....
[050] 00 00 00 00 00 A8 FF 00  00 49 24 00 00 00 00 00  ........ .I$.....
[060] 00 00 00 00 00 00 00 00  00 95 FF 00 00 73 68 61  ........ .....sha
[070] 72 65 00 00 00 00 00 00  00 00 00 00 00 94 FF 00  re...... ........
[080] 00 41 44 4D 49 4E 24 00  00 00 00 00 00 00 00 00  .ADMIN$. ........
[090] 00 7A FF 00 00 43 24 00  00 00 00 00 00 00 00 00  .z...C$. ........
[0A0] 00 00 00 00 00 67 FF 00  00 50 61 72 74 61 67 65  .....g.. .Partage
[0B0] 20 70 61 72 20 64 82 66  61 75 74 00 41 64 6D 69   par d.f aut.Admi
[0C0] 6E 69 73 74 72 61 74 69  6F 6E 20 85 20 64 69 73  nistrati on . dis
[0D0] 74 61 6E 63 65 00 00 50  61 72 74 61 67 65 20 70  tance..P artage p
[0E0] 61 72 20 64 82 66 61 75  74 00 50 69 6C 6F 74 65  ar d.fau t.Pilote
[0F0] 73 20 64 27 69 6D 70 72  69 6D 61 6E 74 65 73 00  s d'impr imantes.
[100] 49 50 43 20 64 69 73 74  61 6E 74 00 48 70 00 50  IPC dist ant.Hp.P
[110] 61 72 74 61 67 65 20 70  61 72 20 64 82 66 61 75  artage p ar d.fau
[120] 74 00                                             t. 
size=345
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=5
smt_wct=10
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]=  281 (0x119)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    8 (0x8)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  281 (0x119)
smb_vwv[ 7]=   64 (0x40)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=290
[000] 00 00 00 C7 FE 08 00 08  00 45 24 00 00 00 00 00  ........ .E$.....
[010] 00 00 00 00 00 00 00 00  00 CD FF 00 00 48 50 44  ........ .....HPD
[020] 65 73 6B 4A 00 00 00 00  00 00 00 01 00 CA FF 00  eskJ.... ........
[030] 00 49 50 43 24 00 00 00  00 00 00 00 00 00 00 03  .IPC$... ........
[040] 00 BE FF 00 00 70 72 69  6E 74 24 00 00 00 00 00  .....pri nt$.....
[050] 00 00 00 00 00 A8 FF 00  00 49 24 00 00 00 00 00  ........ .I$.....
[060] 00 00 00 00 00 00 00 00  00 95 FF 00 00 73 68 61  ........ .....sha
[070] 72 65 00 00 00 00 00 00  00 00 00 00 00 94 FF 00  re...... ........
[080] 00 41 44 4D 49 4E 24 00  00 00 00 00 00 00 00 00  .ADMIN$. ........
[090] 00 7A FF 00 00 43 24 00  00 00 00 00 00 00 00 00  .z...C$. ........
[0A0] 00 00 00 00 00 67 FF 00  00 50 61 72 74 61 67 65  .....g.. .Partage
[0B0] 20 70 61 72 20 64 82 66  61 75 74 00 41 64 6D 69   par d.f aut.Admi
[0C0] 6E 69 73 74 72 61 74 69  6F 6E 20 85 20 64 69 73  nistrati on . dis
[0D0] 74 61 6E 63 65 00 00 50  61 72 74 61 67 65 20 70  tance..P artage p
[0E0] 61 72 20 64 82 66 61 75  74 00 50 69 6C 6F 74 65  ar d.fau t.Pilote
[0F0] 73 20 64 27 69 6D 70 72  69 6D 61 6E 74 65 73 00  s d'impr imantes.
[100] 49 50 43 20 64 69 73 74  61 6E 74 00 48 70 00 50  IPC dist ant.Hp.P
[110] 61 72 74 61 67 65 20 70  61 72 20 64 82 66 61 75  artage p ar d.fau
[120] 74 00                                             t. 
convert_string_internal: Conversion error: Illegal multibyte sequence()
convert_string_internal: Conversion error: Illegal multibyte sequence()
convert_string_internal: Conversion error: Illegal multibyte sequence()
convert_string_internal: Conversion error: Illegal multibyte sequence()
internal_resolve_name: looking up mercure#20
Opening cache file at /var/cache/samba/gencache.tdb
tdb(unnamed): tdb_open_ex: could not open file /var/cache/samba/gencache.tdb:
Permission denied
Attempt to open gencache.tdb has failed.
resolve_lmhosts: Attempting lmhosts lookup for name mercure<0x20>
getlmhostsent: lmhost entry: 127.0.0.1 localhost 
resolve_wins: Attempting wins lookup for name mercure<0x20>
resolve_wins: WINS server resolution selected and no WINS servers listed.
resolve_hosts: Attempting host lookup for name mercure<0x20>
name_resolve_bcast: Attempting broadcast lookup for name mercure<0x20>
bind succeeded on port 0
socket option SO_KEEPALIVE = 0
socket option SO_REUSEADDR = 1
socket option SO_BROADCAST = 1
Could not test socket option TCP_NODELAY.
socket option IPTOS_LOWDELAY = 0
socket option IPTOS_THROUGHPUT = 0
socket option SO_SNDBUF = 105472
socket option SO_RCVBUF = 105472
socket option SO_SNDLOWAT = 1
socket option SO_RCVLOWAT = 1
socket option SO_SNDTIMEO = 0
socket option SO_RCVTIMEO = 0
Sending a packet of len 50 to (172.16.200.255) on port 137
read_udp_socket: lastip 172.16.200.101 lastport 137 read: 74
parse_nmb: packet id = 20531
Received a packet of len 74 from (172.16.200.101) port 137
nmb packet from 172.16.200.101(137) header: id=20531 opcode=Query(0) response=Yes
    header: flags: bcast=No rec_avail=No rec_des=Yes trunc=No auth=Yes
    header: rcode=0 qdcount=0 ancount=1 nscount=0 arcount=0
    answers: nmb_name=MERCURE<20> rr_type=32 rr_class=1 ttl=300000
    answers   0 char ..........(.....   hex 0000C0A8DA010000C0A828010000AC10
    answers  10 char .e   hex C865
Got a positive name query response from 172.16.200.101 ( 192.168.218.1
192.168.40.1 172.16.200.101 )
remove_duplicate_addrs2: looking for duplicate address/port pairs
Opening cache file at /var/cache/samba/gencache.tdb
tdb(unnamed): tdb_open_ex: could not open file /var/cache/samba/gencache.tdb:
Permission denied
Attempt to open gencache.tdb has failed.
internal_resolve_name: returning 3 addresses: 172.16.200.101:0 192.168.218.1:0
192.168.40.1:0 
Connecting to 172.16.200.101 at port 139
socket option SO_KEEPALIVE = 0
socket option SO_REUSEADDR = 0
socket option SO_BROADCAST = 0
socket option TCP_NODELAY = 1
socket option IPTOS_LOWDELAY = 0
socket option IPTOS_THROUGHPUT = 0
socket option SO_SNDBUF = 16384
socket option SO_RCVBUF = 87380
socket option SO_SNDLOWAT = 1
socket option SO_RCVLOWAT = 1
socket option SO_SNDTIMEO = 0
socket option SO_RCVTIMEO = 0
write_socket(3,72)
write_socket(3,72) wrote 72
Sent session request
got smb length of 0
size=0
smb_com=0x0
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=0
smb_flg2=0
smb_tid=0
smb_pid=0
smb_uid=0
smb_mid=0
smt_wct=0
smb_bcc=0
 session request ok
write_socket(3,183)
write_socket(3,183) wrote 183
got smb length of 85
size=85
smb_com=0x72
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=0
smb_mid=2
smt_wct=17
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]= 2563 (0xA03)
smb_vwv[ 2]=  256 (0x100)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=   17 (0x11)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  256 (0x100)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=64768 (0xFD00)
smb_vwv[10]=  227 (0xE3)
smb_vwv[11]=60544 (0xEC80)
smb_vwv[12]=39049 (0x9889)
smb_vwv[13]=38060 (0x94AC)
smb_vwv[14]=50224 (0xC430)
smb_vwv[15]=34817 (0x8801)
smb_vwv[16]=  255 (0xFF)
smb_bcc=16
[000] B1 E1 75 F1 21 16 60 48  B3 5F F0 07 0D FF 3D BF  ..u.!.`H ._....=.
size=85
smb_com=0x72
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=0
smb_mid=2
smt_wct=17
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]= 2563 (0xA03)
smb_vwv[ 2]=  256 (0x100)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=   17 (0x11)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  256 (0x100)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=64768 (0xFD00)
smb_vwv[10]=  227 (0xE3)
smb_vwv[11]=60544 (0xEC80)
smb_vwv[12]=39049 (0x9889)
smb_vwv[13]=38060 (0x94AC)
smb_vwv[14]=50224 (0xC430)
smb_vwv[15]=34817 (0x8801)
smb_vwv[16]=  255 (0xFF)
smb_bcc=16
[000] B1 E1 75 F1 21 16 60 48  B3 5F F0 07 0D FF 3D BF  ..u.!.`H ._....=.
Doing spnego session setup (blob length=16)
server didn't supply a full spnego negprot
write_socket(3,160)
write_socket(3,160) wrote 160
got smb length of 294
size=294
smb_com=0x73
smb_rcls=22
smb_reh=0
smb_err=49152
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=3
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  294 (0x126)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=  177 (0xB1)
smb_bcc=251
[000] A1 81 AE 30 81 AB A0 03  0A 01 01 A1 0C 06 0A 2B  ...0.... .......+
[010] 06 01 04 01 82 37 02 02  0A A2 81 95 04 81 92 4E  .....7.. .......N
[020] 54 4C 4D 53 53 50 00 02  00 00 00 0E 00 0E 00 30  TLMSSP.. .......0
[030] 00 00 00 15 02 8A 60 4A  FD E5 81 84 28 C6 6C 00  ......`J ....(.l.
[040] 00 00 00 00 00 00 00 54  00 54 00 3E 00 00 00 4D  .......T .T.>...M
[050] 00 45 00 52 00 43 00 55  00 52 00 45 00 02 00 0E  .E.R.C.U .R.E....
[060] 00 4D 00 45 00 52 00 43  00 55 00 52 00 45 00 01  .M.E.R.C .U.R.E..
[070] 00 0E 00 4D 00 45 00 52  00 43 00 55 00 52 00 45  ...M.E.R .C.U.R.E
[080] 00 04 00 0E 00 6D 00 65  00 72 00 63 00 75 00 72  .....m.e .r.c.u.r
[090] 00 65 00 03 00 0E 00 6D  00 65 00 72 00 63 00 75  .e.....m .e.r.c.u
[0A0] 00 72 00 65 00 06 00 04  00 01 00 00 00 00 00 00  .r.e.... ........
[0B0] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[0C0] 00 35 00 2E 00 31 00 00  00 57 00 69 00 6E 00 64  .5...1.. .W.i.n.d
[0D0] 00 6F 00 77 00 73 00 20  00 32 00 30 00 30 00 30  .o.w.s.  .2.0.0.0
[0E0] 00 20 00 4C 00 41 00 4E  00 20 00 4D 00 61 00 6E  . .L.A.N . .M.a.n
[0F0] 00 61 00 67 00 65 00 72  00 00 00                 .a.g.e.r ...
size=294
smb_com=0x73
smb_rcls=22
smb_reh=0
smb_err=49152
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=3
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  294 (0x126)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=  177 (0xB1)
smb_bcc=251
[000] A1 81 AE 30 81 AB A0 03  0A 01 01 A1 0C 06 0A 2B  ...0.... .......+
[010] 06 01 04 01 82 37 02 02  0A A2 81 95 04 81 92 4E  .....7.. .......N
[020] 54 4C 4D 53 53 50 00 02  00 00 00 0E 00 0E 00 30  TLMSSP.. .......0
[030] 00 00 00 15 02 8A 60 4A  FD E5 81 84 28 C6 6C 00  ......`J ....(.l.
[040] 00 00 00 00 00 00 00 54  00 54 00 3E 00 00 00 4D  .......T .T.>...M
[050] 00 45 00 52 00 43 00 55  00 52 00 45 00 02 00 0E  .E.R.C.U .R.E....
[060] 00 4D 00 45 00 52 00 43  00 55 00 52 00 45 00 01  .M.E.R.C .U.R.E..
[070] 00 0E 00 4D 00 45 00 52  00 43 00 55 00 52 00 45  ...M.E.R .C.U.R.E
[080] 00 04 00 0E 00 6D 00 65  00 72 00 63 00 75 00 72  .....m.e .r.c.u.r
[090] 00 65 00 03 00 0E 00 6D  00 65 00 72 00 63 00 75  .e.....m .e.r.c.u
[0A0] 00 72 00 65 00 06 00 04  00 01 00 00 00 00 00 00  .r.e.... ........
[0B0] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[0C0] 00 35 00 2E 00 31 00 00  00 57 00 69 00 6E 00 64  .5...1.. .W.i.n.d
[0D0] 00 6F 00 77 00 73 00 20  00 32 00 30 00 30 00 30  .o.w.s.  .2.0.0.0
[0E0] 00 20 00 4C 00 41 00 4E  00 20 00 4D 00 61 00 6E  . .L.A.N . .M.a.n
[0F0] 00 61 00 67 00 65 00 72  00 00 00                 .a.g.e.r ...
Got challenge flags:
Got NTLMSSP neg_flags=0x608a0215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_CHAL_TARGET_INFO
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60080215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP challenge set by NTLM2
challenge is: 
[000] C2 4E B2 6C 13 4D 4E C5                           .N.l.MN. 
NTLMSSP Sign/Seal - Initialising with flags:
Got NTLMSSP neg_flags=0x60080215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
write_socket(3,254)
write_socket(3,254) wrote 254
got smb length of 126
size=126
smb_com=0x73
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=4
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  126 (0x7E)
smb_vwv[ 2]=    1 (0x1)
smb_vwv[ 3]=    9 (0x9)
smb_bcc=83
[000] A1 07 30 05 A0 03 0A 01  00 57 00 69 00 6E 00 64  ..0..... .W.i.n.d
[010] 00 6F 00 77 00 73 00 20  00 35 00 2E 00 31 00 00  .o.w.s.  .5...1..
[020] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[030] 00 32 00 30 00 30 00 30  00 20 00 4C 00 41 00 4E  .2.0.0.0 . .L.A.N
[040] 00 20 00 4D 00 61 00 6E  00 61 00 67 00 65 00 72  . .M.a.n .a.g.e.r
[050] 00 00 00                                          ... 
size=126
smb_com=0x73
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=25192
smb_uid=2048
smb_mid=4
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=  126 (0x7E)
smb_vwv[ 2]=    1 (0x1)
smb_vwv[ 3]=    9 (0x9)
smb_bcc=83
[000] A1 07 30 05 A0 03 0A 01  00 57 00 69 00 6E 00 64  ..0..... .W.i.n.d
[010] 00 6F 00 77 00 73 00 20  00 35 00 2E 00 31 00 00  .o.w.s.  .5...1..
[020] 00 57 00 69 00 6E 00 64  00 6F 00 77 00 73 00 20  .W.i.n.d .o.w.s. 
[030] 00 32 00 30 00 30 00 30  00 20 00 4C 00 41 00 4E  .2.0.0.0 . .L.A.N
[040] 00 20 00 4D 00 61 00 6E  00 61 00 67 00 65 00 72  . .M.a.n .a.g.e.r
[050] 00 00 00                                          ... 
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]
 session setup ok
write_socket(3,84)
write_socket(3,84) wrote 84
got smb length of 48
size=48
smb_com=0x75
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=5
smt_wct=3
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=   48 (0x30)
smb_vwv[ 2]=    1 (0x1)
smb_bcc=7
[000] 49 50 43 00 00 00 00                              IPC.... 
 tconx ok
size=124
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=6
smt_wct=14
smb_vwv[ 0]=   34 (0x22)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    8 (0x8)
smb_vwv[ 3]=65535 (0xFFFF)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=   34 (0x22)
smb_vwv[10]=   90 (0x5A)
smb_vwv[11]=    0 (0x0)
smb_vwv[12]=  124 (0x7C)
smb_vwv[13]=    0 (0x0)
smb_bcc=61
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 4C 00 41  .\.P.I.P .E.\.L.A
[010] 00 4E 00 4D 00 41 00 4E  00 00 00 68 00 57 72 4C  .N.M.A.N ...h.WrL
[020] 65 68 44 7A 00 42 31 36  42 42 44 7A 00 01 00 FF  ehDz.B16 BBDz....
[030] FF FF FF FF FF 4D 45 52  43 55 52 45 00           .....MER CURE.
write_socket(3,128)
write_socket(3,128) wrote 128
got smb length of 64
size=64
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=6
smt_wct=10
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    8 (0x8)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=   64 (0x40)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=9
[000] 00 47 00 00 00 00 00 00  00                       .G...... .
size=64
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=6
smt_wct=10
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    8 (0x8)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=   64 (0x40)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=9
[000] 00 47 00 00 00 00 00 00  00                       .G...... .
size=124
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=7
smt_wct=14
smb_vwv[ 0]=   34 (0x22)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    8 (0x8)
smb_vwv[ 3]=65535 (0xFFFF)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=   34 (0x22)
smb_vwv[10]=   90 (0x5A)
smb_vwv[11]=    0 (0x0)
smb_vwv[12]=  124 (0x7C)
smb_vwv[13]=    0 (0x0)
smb_bcc=61
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 4C 00 41  .\.P.I.P .E.\.L.A
[010] 00 4E 00 4D 00 41 00 4E  00 00 00 68 00 57 72 4C  .N.M.A.N ...h.WrL
[020] 65 68 44 7A 00 42 31 36  42 42 44 7A 00 01 00 FF  ehDz.B16 BBDz....
[030] FF 00 00 00 80 4D 45 52  43 55 52 45 00           .....MER CURE.
write_socket(3,128)
write_socket(3,128) wrote 128
got smb length of 64
size=64
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=7
smt_wct=10
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    8 (0x8)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=   64 (0x40)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=9
[000] 00 47 00 00 00 00 00 00  00                       .G...... .
size=64
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=2048
smb_pid=25192
smb_uid=2048
smb_mid=7
smt_wct=10
smb_vwv[ 0]=    8 (0x8)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    8 (0x8)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=   64 (0x40)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=9
[000] 00 47 00 00 00 00 00 00  00                       .G...... .

	Sharename      Type      Comment
	---------      ----      -------
	E$             Disk      Partage par d	HPDeskJ        Printer   Hp
	IPC$           IPC       IPC distant
	print$         Disk      Pilotes d'imprimantes
	I$             Disk      Partage par d	share          Disk      
	ADMIN$         Disk      Administration 	C$             Disk      Partage par d
	Server               Comment
	---------            -------

	Workgroup            Master
	---------            -------
Comment 2 sebest 2004-05-02 22:19:07 UTC
in fact i noticed that it prints the next line on the same line when it
encounter a "é":
it prints:
    E$             Disk      Partage par d      HPDeskJ        Printer   Hp
    IPC$           IPC       IPC distant

instead of:
    E$             Disk      Partage par défaut
    HPDeskJ        Printer   Hp
    IPC$           IPC       IPC distant
Comment 3 sebest 2004-05-02 22:20:43 UTC
when i added unix "charset = ASCII" in my global section it fixed partially my
problem: the special character are still wrong (éàè...)
but no problem with newline:
sebest@p3 sebest $ smbclient -L //mercure
Password:
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Sharename      Type      Comment
        ---------      ----      -------
        E$             Disk      Partage par difaut
        HPDeskJ        Printer   Hp
        IPC$           IPC       IPC distant
        print$         Disk      Pilotes d'imprimantes
        I$             Disk      Partage par difaut
        share          Disk
        ADMIN$         Disk      Administration ` distance
        C$             Disk      Partage par difaut
Domain=[MERCURE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Server               Comment
        ---------            -------

        Workgroup            Master
        ---------            -------
Comment 4 Jelmer Vernooij 2005-03-15 09:25:43 UTC
What charset does you terminal have? What happens if you set "display charset"
to match it?
Comment 5 sebest 2005-03-15 16:22:35 UTC
(In reply to comment #4)
> What charset does you terminal have? What happens if you set "display charset"
> to match it?
Sorry, it was 8 month ago and i changed my linux distro, it was gentoo, and now
i use ubuntu and this problem doesn't appear, all accentuated character are ok.
Comment 6 Gerald (Jerry) Carter 2005-09-29 04:51:49 UTC
closing